package com.flyfish.framework.domain;


import com.flyfish.framework.builder.CriteriaBuilder;
import com.flyfish.framework.domain.tree.TreeQo;
import com.flyfish.framework.domain.po.Permission;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.domain.Sort;

/**
 * 权限查询实体
 *
 * @author wybab
 */
@Getter
@Setter
public class PermissionQo extends TreeQo<Permission> {

    private Boolean admin;

    private String type;

    @Override
    public Sort sorts() {
        return Sort.by(Sort.Order.asc("_id"));
    }

    @Override
    public CriteriaBuilder<Permission> criteriaBuilder() {
        return super.criteriaBuilder().with("admin", "type");
    }
}
